﻿using System.Collections.ObjectModel;
using SciChart.Charting.Common.Helpers;
using SciChart.Charting.Model.ChartSeries;

namespace MvvmAnnotationEx
{
    public class MainViewModel
    {
        public ObservableCollection<IAnnotationViewModel> Annotations { get; }

        public ActionCommand ChangeX1Command { get; }

        public MainViewModel()
        {
            Annotations = new ObservableCollection<IAnnotationViewModel>();

            var annotationEx = new VerticalLineAnnotationViewModelEx()
            {
                X1 = 5,
                StyleKey = "AnnotationExtendedStyle"
            };

            Annotations.Add(annotationEx);

            ChangeX1Command = new ActionCommand(() => annotationEx.X1 = 8);
        }
    }
}